# Ogre::TerrainLayerSamplerElement Struct Reference
Terrain

Information about one element of a sampler / texture within a layer. More...

`#include <OgreTerrainMaterialGenerator.h>`

List of all members.

## Public Member Functions

bool | operator== (const TerrainLayerSamplerElement &e) const
| TerrainLayerSamplerElement ()
| TerrainLayerSamplerElement (uint8 src, TerrainLayerSamplerSemantic sem, uint8 elemStart, uint8 elemCount)

## Public Attributes

uint8 | source
| The source sampler index of this element relative to LayerDeclaration's list.
TerrainLayerSamplerSemantic | semantic
| The semantic this element represents.
uint8 | elementStart
| The colour element at which this element starts.
uint8 | elementCount
| The number of colour elements this semantic uses (usually standard per semantic)

## Detailed Description

Information about one element of a sampler / texture within a layer.

Definition at line 70 of file OgreTerrainMaterialGenerator.h.

## Constructor & Destructor Documentation

Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement | ( |  | ) |

Definition at line 89 of file OgreTerrainMaterialGenerator.h.

Ogre::TerrainLayerSamplerElement::TerrainLayerSamplerElement | ( | uint8 | src,
|  | TerrainLayerSamplerSemantic | sem,
|  | uint8 | elemStart,
|  | uint8 | elemCount
| ) |  |

Definition at line 90 of file OgreTerrainMaterialGenerator.h.

## Member Function Documentation

bool Ogre::TerrainLayerSamplerElement::operator== | ( | const TerrainLayerSamplerElement & | e | ) | const

Definition at line 81 of file OgreTerrainMaterialGenerator.h.

References elementCount, elementStart, semantic, and source.

## Member Data Documentation

uint8 Ogre::TerrainLayerSamplerElement::elementCount

The number of colour elements this semantic uses (usually standard per semantic)

Definition at line 79 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

uint8 Ogre::TerrainLayerSamplerElement::elementStart

The colour element at which this element starts.

Definition at line 77 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

TerrainLayerSamplerSemantic Ogre::TerrainLayerSamplerElement::semantic

The semantic this element represents.

Definition at line 75 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

uint8 Ogre::TerrainLayerSamplerElement::source

The source sampler index of this element relative to LayerDeclaration's list.

Definition at line 73 of file OgreTerrainMaterialGenerator.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreTerrainMaterialGenerator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:21